summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRyota MIBU <r-mibu@cq.jp.nec.com>2015-12-22 00:48:00 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2015-12-22 00:48:00 +0000
commitb0eef185248b34d2f2c0ff035641c5ae212548cc (patch)
tree14214b75a85eaf2314845df82cfa044b5b977ef4
parentba06278878eee3f4ee3b744669214a59e22deae7 (diff)
parent9523e313ab822e982764cbdaac0cdac15750e64d (diff)
Merge "Allow doc-build.sh to ignore D000 of doc8"
-rwxr-xr-xutils/docs-build.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/utils/docs-build.sh b/utils/docs-build.sh
index fc607fa15..5f9eeee69 100755
--- a/utils/docs-build.sh
+++ b/utils/docs-build.sh
@@ -48,7 +48,7 @@ function check_rst_doc() {
# Note: This check may fail in many jobs for building project docs, since
# the old sample has lines more than 120. We ignore failures on this
# check right now, but these have to be fixed before OPNFV B release.
- _out=$(doc8 --max-line-length 120 "$_src") || {
+ _out=$(doc8 --max-line-length 120 --ignore D000 "$_src") || {
_msg='Error: rst validatino (doc8) has failed, please fix the following error(s).'
_errs=$(echo "$_out" | sed -n -e "/^$_src/s/^/ /p")
echo